<?php defined('_JEXEC') or die;
/**
* @package		mod_cmse_k2content
* @copyright	Copyright (C) CmsEnergizer.com All rights reserved.
* @license		GNU General Public License version 2 or later; see http://www.gnu.org/licenses/
**/

?>

<div id="cmsek2content-<?php echo $stylefile; ?>" class="cmsek2content">

<?php if(count($items)) { ?>
  <ul class="cmsek2items" <?php echo $ulstyle; ?>>

    <?php // Begin item loop
    foreach ($items as $key => $item) {

	//------------------[ Item Image ]
	$itemImg='';
	if($key == 0 && $lead == 1 && isset($item->image)) {
		$itemImg = '<img class="itemimg leadimg" '.$leadimgstyle.' src="'.$item->imageLarge.'" alt="'.K2HelperUtilities::cleanHtml($item->title).'" />';
	}elseif(isset($item->image)){
		if($cropwidth || $cropheight) {
		$itemImg = '<img class="itemimg elmt" '.$imgstyle.' src="'.cmseK2ContentHelper::cropImg($item->image, $cropwidth, $cropheight, $cropLoffset, $cropToffset).'" alt="'.K2HelperUtilities::cleanHtml($item->title).'" />';
		}else{
		$itemImg = '<img class="itemimg elmt" '.$imgstyle.' src="'.$item->image.'" alt="'.K2HelperUtilities::cleanHtml($item->title).'" />';
		}
	}

	if($params->get('linkImage') == 1) {
		$itemImg = '<a href="'.$item->link.'" title="'.K2HelperUtilities::cleanHtml($item->title).'">'.$itemImg.'</a>';
	}

	//------------------[ Title ]
		$itemTitle='';
		if($params->get('linkTitle') == 1) {
			$itemTitle = '<a href="'.$item->link.'">'.$item->title.'</a>';
		}else{
			$itemTitle = $item->title;
			}

	//-----------------[ Text ]
		$introText='';
		if($itemIntroText == 'leadtext' && $key == 0 && $lead == 1) {
			$introText = $item->introtext;
		}elseif($itemIntroText == 'all' || $lead != 1) {
			$introText = $item->introtext;
		}

	//------------------[ Date ]
		$itemdate='';
		if($params->get('itemDateFormat') != 'custom') {
		$itemdate = $params->get('datelabel'). ' ' .JHTML::_('date', $item->created, $params->get('itemDateFormat'));
		}else{
		$itemdate = $params->get('datelabel'). ' ' .JHTML::_('date', $item->created, $params->get('customDateFormat'));
		}

	//------------------[ Category name ]
		$itemCatname = '<a class="itemcat elmt" '.$catstyle.' href="'.$item->categoryLink.'">'.$item->categoryname.'</a>';

	//------------------[ Author ]
		$itemAvatar='';
		if(isset($item->authorLink) && $params->get('linkAuthor') == 1) {
			$itemAvatar = '<a class="elmt" rel="author" href="'.$item->authorLink.'">
			<img class="itemavatar" '.$avastyle.' src="'.$item->authorAvatar.'" alt="'.K2HelperUtilities::cleanHtml($item->author).'" style="width:'.$avatarWidth.'px;height:auto;" />
		</a>';
		}else{
			$itemAvatar = '<img class="itemavatar elmt" '.$avastyle.' src="'.$item->authorAvatar.'" alt="'.K2HelperUtilities::cleanHtml($item->author).'" style="width:'.$avatarWidth.'px;height:auto;" />';
		}
		$itemAuthor='';
		//$itemAuthor = '<span>'.K2HelperUtilities::writtenBy($item->authorGender).'</span>';
		if(isset($item->authorLink) && $params->get('linkAuthor') == 1) {
			$itemAuthor = $params->get('authorlabel').' <a rel="author" title="'.K2HelperUtilities::cleanHtml($item->author).'" href="'.$item->authorLink.'">'.$item->author.'</a>';
		} else {
			$itemAuthor = $params->get('authorlabel').' '.$item->author;
		}
		$itemAuthorText = strip_tags($item->authorDescription);

	//------------------[ Video ]
      $itemVideo = '<div class=" elmt" '.$vidstyle.'>'.$item->video.'<span>'.$item->video_caption.'</span><span>'.$item->video_credits.'</span></div>';

	//------------------[ Extra Fields ]
	$itemExtraFields='';
	if(count($item->extra_fields)) {
		$itemExtraFields = '<div class=" elmt" '.$fieldstyle.'><ul>';
	        foreach ($item->extra_fields as $extraField) {
				if($extraField->value != '') {
				$itemExtraFields = '<li>';
					if($extraField->type == 'header') {
						$itemExtraFields = '<h4>'.$extraField->name.'</h4>';
					}else{
						$itemExtraFields = '<span>'.$extraField->name.'</span><span>'.$extraField->value.'</span>';
					}
				$itemExtraFields = '</li>';
				}
	        }
	      $itemExtraFields = '</ul></div>';
      }

	//------------------[ Tags ]
		$itemTags='';
		if(count($item->tags)>0) {
			foreach ($item->tags as $tag) {
				$itemTags = '<a class=" elmt" '.$tagstyle.' href="'.$tag->link.'">'.$tag->name.'</a>';
			}
		}

	//-----------------[ Attachement ]
		$itemFiles='';
		if(count($item->attachments)) {
			$itemFiles = '<div class="itemfiles elmt" '.$filestyle.'>';
				foreach ($item->attachments as $attachment) {
				$itemFiles = '<a title="'.K2HelperUtilities::cleanHtml($attachment->titleAttribute).'" href="'.$attachment->link.'">'.$attachment->title.'</a>';
				}
			$itemFiles = '</div>';
		}

	//----------------[ Hits ]
		$itemHits = $params->get('hitslabel').' '.$item->hits;

	//----------------[ Read More Link ]
		$itemReadmore = '<a class=" elmt" '.$readstyle.' href="'.$item->link.'">'.$params->get('itemReadmore').'</a>';

	//----------------[ Comments ]
		$itemComments='';
		if($componentParams->get('comments')) {
			if(!empty($item->event->K2CommentsCounter)) {
				$itemComments = $item->event->K2CommentsCounter;
			}
			if($item->numOfComments > 0) {
				$itemComments = $params->get('commentlabel').' <a href="'.$item->link.'#itemCommentsAnchor">'.$item->numOfComments;
				if($item->numOfComments > 1) {
					$itemComments = JText::_('K2_COMMENTS');
				}else{
					$itemComments = JText::_('K2_COMMENT');
				}
				$itemComments = '</a>';
			}else{
				$itemComments = '<a href="'.$item->link.'#itemCommentsAnchor">'.$params->get('nocomment').'</a>';
			}
		}

	//------------------[ Placeholder replacements. The preg_match pattern array is located in mod_cmse_k2content.php ]
    $replace = array(
		'<'.$htag.' class="itemtitle elmt" '.$titlestyle.'>'.$itemTitle.'</'.$htag.'>',
		$itemImg,
		'<span class="introtext elmt" '.$txtstyle.'>'.$introText.'</span>',
		'<span class="itemdate elmt" '.$datestyle.'>'.$itemdate.'</span>',
		$itemCatname,
		'<span class="itemauthor elmt" '.$authstyle.'>'.$itemAuthor.'</span>',
		$itemAvatar,
		'<span class="itemauthortext elmt" '.$authtxtstyle.'>'.$itemAuthorText.'</span>',
		$itemVideo,
		$itemFiles,
		$itemTags,
		'<span class="itemhits elmt" '.$hitstyle.'>'.$itemHits.'</span>',
		$itemReadmore,
		$itemExtraFields,
		'<span class="itemcomments elmt" '.$comstyle.'>'.$itemComments.'</span>',
		'<br />'
	);

    ?>

    <li class="itemli <?php echo ($key%2) ? "cat-list-row0" : "cat-list-row1"; if(count($items)==$key+1) echo ' cmsek2last'; if($key == 0 && $lead == 1) echo ' leadli'; ?>" <?php echo $listyle; ?>>

      <?php
		echo $item->event->BeforeDisplay;
		echo $item->event->K2BeforeDisplay;

      	echo $item->event->AfterDisplayTitle;
		echo $item->event->K2AfterDisplayTitle;

      	echo $item->event->BeforeDisplayContent;
		echo $item->event->K2BeforeDisplayContent;
		?>

<?php //------------------------------------[ Item Element Containers ]-----------------------//
		 //-----------[ Top Container ]
			if(!is_null($params->get('itemLayout1')))
			echo '<div class="iec iectop" '.$topstyle.'>'.preg_replace($placeholders, $replace, $params->get('itemLayout1')).'</div>';

		 //-----------[ Middle Container ]
			if(!is_null($params->get('itemLayout2')))
			echo '<div class="iec iecmid" '.$midstyle.'>'.preg_replace($placeholders, $replace, $params->get('itemLayout2')).'</div>';

		 //-----------[ Bottom Container ]
			if(!is_null($params->get('itemLayout3')))
			echo '<div class="iec iecbottom" '.$botstyle.'>'.preg_replace($placeholders, $replace, $params->get('itemLayout3')).'</div>';


 //------------------------------------[ End Item Element Containers ]------------------// ?>


		<?php
		echo $item->event->AfterDisplayContent;
		echo $item->event->K2AfterDisplayContent;

       // Joomla plugins
      	echo $item->event->AfterDisplay;

		// K2 plugins
      	echo $item->event->K2AfterDisplay;
      	?>
    </li>

    <?php } //end foreach item loop ?>
  </ul>
  <?php } //end count items ?>

	<?php if($params->get('menuItem')) { ?>
	<a href="<?php echo $params->get('itemCustomUrl'); ?>"><?php echo $params->get('itemViewAll'); ?></a>
	<?php } ?>

	<?php if($params->get('feed')) { ?>
		<a href="<?php echo JRoute::_('index.php?option=com_k2&view=itemlist&format=feed&moduleID='.$module->id); ?>" title="<?php echo $params->get('feedsubscribe'); ?>">
			<span><?php echo $params->get('feedsubscribe'); ?></span>
		</a>
	<?php } ?>
</div>