<?php
/**
 * @copyright	Copyright (C) CmsEnergizer.com All rights reserved.
 * @license		GNU General Public License version 2 or later; see http://www.gnu.org/licenses/
 *
 * this file only handles admin area functions
 */

defined('_JEXEC') or die( 'Restricted access' );

$document = JFactory::getDocument();

// css
$document->addStyleDeclaration('
div.readme {
	clear:both;
	display: block;
	padding:3px 8px;
	margin:0;
	background:#fff2cf;
	border-top:2px solid #fbc83d;
	}
div.readme h4 {margin: 1px; text-align: center;}
textarea#jform_params_boxcontent,
div.controls input[type="text"],
textarea#jform_params_itemLayout1,
textarea#jform_params_itemLayout2,
textarea#jform_params_itemLayout3,
textarea#jform_params_itemLayout4,
textarea#jform_params_itemLayout5,
textarea#jform_params_rollyourown {font-family: "courier new", courier, "Lucida Console", Monaco, monospace;}
textarea#jform_params_itemLayout1,
textarea#jform_params_itemLayout2,
textarea#jform_params_itemLayout3,
textarea#jform_params_itemLayout4,
textarea#jform_params_itemLayout5 {width: 60%;}

div#attrib-about div.control-label,
label#jform_params_txt1-lbl,
label#jform_params_txt2-lbl,
label#jform_params_cattitle-lbl,
label#jform_params_itemize-lbl,
#placeholders {display: none;}

div#attrib-about div.controls {margin: 0;}
div#attrib-about div.controls div.readme {background: transparent; border: 0; height: 100%;}
div#attrib-about div.controls div.readme iframe {display: block; width: 100%; border: 0;}
a[href="#attrib-about"], #about-options a {font-weight: bold; color: #ff0000 !important;}

div.descbar {background: #0083de; padding: 4px 10px; color: #ffffff; border-radius: 2px;}
div.descbar a {color: #fffc00;}

.sel, pre span {cursor: pointer;}
');// end css

// javascripts
$document->addScript(JURI::root().'modules/'.basename(dirname(dirname(__FILE__))).'/elements/autogrow.js' );

$document->addScriptDeclaration("

	jQuery(function($){
		$('.autogrow').css('overflow', 'hidden').autogrow();
	});

//toggle elements ID array
	var arr = [
		'#jform_params_cattitle-lbl',
		'#jform_params_catfilter',
		'#jformparamscategory_id',
		'#jform_params_getChildren',
		'#jform_params_itemCount',
		'#jform_params_itemsOrdering',
		'#jform_params_FeaturedItems',
		'#jform_params_popularityRange'
		];
	var itm = [
		'#jform_params_itemize-lbl',
		'span.input-append',
		'ul#itemsList'
		];
");


if(!version_compare(JVERSION,'3.0','ge')) {
// add jQuery usage for Joomla 2.5.x
$document->addScript(JURI::root().'modules/'.basename(dirname(dirname(__FILE__))).'/elements/jqcheck.js');

	$document->addScriptDeclaration("
		jQuery(document).ready(function() {
			// remove margin of element to allow full span of the readme block
			jQuery('div#readme').parent().css('margin', '0');

		});
	");

// Add white space line-break in <pre> tag and increase font size for J2.5
$document->addStyleDeclaration('div.readme pre {
	font-size: 12px;white-space: pre-wrap;
	white-space: -moz-pre-wrap;
	white-space: -pre-wrap;
	white-space: -o-pre-wrap;
	word-wrap: break-word;
	}
	');

}else{

	$document->addScriptDeclaration("

		jQuery(document).ready(function() {
			// remove margin of element to allow full span of the readme block
			jQuery('div#readme').parent().css('margin', '0');

			// process the toggle array
			jQuery.each(arr, function(index, element) {
			jQuery(element).parent().parent().addClass('hideit');
			});
			jQuery.each(itm, function(index, element) {
			jQuery(element).parent().parent().addClass('hideitm');
			});
			jQuery('#jform_params_customDateFormat').parent().parent().addClass('hidecd');

		});
	");


}//end version compare


$document->addScriptDeclaration("
	jQuery(document).ready(function() {

		// toggler switches
		jQuery('.hideit').hide();
		jQuery('.hideitm').hide();
		jQuery('.hidecd').hide();

		jQuery('select#jform_params_source').change(function() {
			jQuery('.hideit').hide('slow');
			jQuery('.hideitm').hide('slow');
			jQuery('.hidecd').hide('slow');

			if(jQuery(this).val() == 'filter'){
				jQuery('.hideit').show('slow');
			}
			else if(jQuery(this).val() == 'specific'){
				jQuery('.hideitm').show('slow');
			}
		}).triggerHandler('change');

		jQuery('select#jform_params_itemDateFormat').change(function() {
			jQuery('.hidecd').hide('slow');
			if(jQuery(this).val() == 'custom'){
				jQuery('.hidecd').show('slow');
			}
		}).triggerHandler('change');


		// Auto populate layout fields

		jQuery('select#jform_params_stylefile').change(function() {
			var curRowId = jQuery('select#jform_params_stylefile').val();
			jQuery('#jform_params_itemLayout1').val( jQuery('#' + curRowId + ' span.top').text() );
			jQuery('#jform_params_itemLayout2').val( jQuery('#' + curRowId + ' span.middle').text() );
			jQuery('#jform_params_itemLayout3').val( jQuery('#' + curRowId + ' span.bottom').text() );
		});


		// text select for placeholder drag and drop
		jQuery.fn.selText = function(){
			var doc = document, element = this[0], range, selection;
			if (doc.body.createTextRange) {
				range = document.body.createTextRange();
				range.moveToElementText(element);
				range.select();
			} else if (window.getSelection) {
				selection = window.getSelection();
				range = document.createRange();
				range.selectNodeContents(element);
				selection.removeAllRanges();
				selection.addRange(range);
			}
		};

		jQuery('pre span').click(function() {
			jQuery(this).selText().addClass('sel');
		});



		// iframe stretcherizer
		var buffer = 100;
		var iframe = document.getElementById('feed');

		function pageY(elem) {
			return elem.offsetParent ? (elem.offsetTop + pageY(elem.offsetParent)) : elem.offsetTop;
		}

		function resizeIframe() {
			var height = document.documentElement.clientHeight;
			height -= pageY(document.getElementById('feed'))+ buffer ;
			height = (height < 0) ? 0 : height;
			document.getElementById('feed').style.height = height + 'px';
		}

		window.onresize = resizeIframe();
		window.onload = resizeIframe();
	});


");// end javascript declarations

//"Form Field injectorizer
jimport('joomla.form.formfield');

class JFormFieldReadme extends JFormField {

		protected $type = 'Readme';

		function getInput(){
			return '<div id="readme" class="readme">'.JText::_($this->value).'</div>';
		}

	}
